Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
string
required

cluster_id identifies the CockroachDB Cloud cluster whose egress private endpoints to list.

Query Parameters

pagination.page
string
pagination.limit
integer<int32>
pagination.as_of_time
string<date-time>
pagination.sort_order
enum<string>
  • ASC: Sort in ascending order. This is the default unless otherwise specified.
  • DESC: Sort in descending order.
Available options:
ASC,
DESC

Response

A successful response.

egress_private_endpoints
EgressPrivateEndpoint · object[]
required

egress_private_endpoints are the egress private endpoints associated with the given cluster.

pagination
object